>From 369e1e7d1322da4d05e366ac9ac296141f415421 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Sat, 20 Aug 2011 20:57:34 +0300
Subject: [carFl mem 45/65] pcidev.c: remove unused pcidev_init

Remove unused function pcidev_init.
Unused at least in internal programmer!

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 pcidev.c     |   52 ----------------------------------------------------
 programmer.h |    1 -
 2 files changed, 0 insertions(+), 53 deletions(-)

diff --git a/pcidev.c b/pcidev.c
index 68da21c..2e6bdf0 100644
--- a/pcidev.c
+++ b/pcidev.c
@@ -188,58 +188,6 @@ uintptr_t pcidev_validate(struct pci_dev *dev, int bar,
 	return 0;
 }
 
-uintptr_t pcidev_init(int bar, const struct pcidev_status *devs)
-{
-	struct pci_dev *dev;
-	struct pci_filter filter;
-	char *pcidev_bdf;
-	char *msg = NULL;
-	int found = 0;
-	uintptr_t addr = 0, curaddr = 0;
-
-	pacc = pci_alloc();     /* Get the pci_access structure */
-	pci_init(pacc);         /* Initialize the PCI library */
-	pci_scan_bus(pacc);     /* We want to get the list of devices */
-	pci_filter_init(pacc, &filter);
-
-	/* Filter by bb:dd.f (if supplied by the user). */
-	pcidev_bdf = extract_programmer_param("pci");
-	if (pcidev_bdf != NULL) {
-		if ((msg = pci_filter_parse_slot(&filter, pcidev_bdf))) {
-			msg_perr("Error: %s\n", msg);
-			exit(1);
-		}
-	}
-	free(pcidev_bdf);
-
-	for (dev = pacc->devices; dev; dev = dev->next) {
-		if (pci_filter_match(&filter, dev)) {
-			/* FIXME: We should count all matching devices, not
-			 * just those with a valid BAR.
-			 */
-			if ((addr = pcidev_validate(dev, bar, devs)) != 0) {
-				curaddr = addr;
-				pcidev_dev = dev;
-				found++;
-			}
-		}
-	}
-
-	/* Only continue if exactly one supported PCI dev has been found. */
-	if (found == 0) {
-		msg_perr("Error: No supported PCI device found.\n");
-		exit(1);
-	} else if (found > 1) {
-		msg_perr("Error: Multiple supported PCI devices found. "
-			"Use 'flashrom -p xxxx:pci=bb:dd.f' \n"
-			"to explicitly select the card with the given BDF "
-			"(PCI bus, device, function).\n");
-		exit(1);
-	}
-
-	return curaddr;
-}
-
 void print_supported_pcidevs(const struct pcidev_status *devs)
 {
 	int i;
diff --git a/programmer.h b/programmer.h
index dc8d8d9..1882e46 100644
--- a/programmer.h
+++ b/programmer.h
@@ -164,7 +164,6 @@ struct pcidev_status {
 	const char *device_name;
 };
 uintptr_t pcidev_validate(struct pci_dev *dev, int bar, const struct pcidev_status *devs);
-uintptr_t pcidev_init(int bar, const struct pcidev_status *devs);
 /* rpci_write_* are reversible writes. The original PCI config space register
  * contents will be restored on shutdown.
  */
-- 
1.7.6

